weka.core.pmml.jaxbbindings

## Class Regression

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Regression

-     public class Regression
      extends java.lang.Object

  Java class for Regression element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Regression">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Output" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Targets" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ResultField" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}RegressionTable" maxOccurs="unbounded"/>
               </sequence>
               <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
               <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="normalizationMethod" type="{http://www.dmg.org/PMML-4_1}REGRESSIONNORMALIZATIONMETHOD" default="none" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Regression()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithmName()` Gets the value of the algorithmName property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `MININGFUNCTION` | `getFunctionName()` Gets the value of the functionName property.
    `LocalTransformations` | `getLocalTransformations()` Gets the value of the localTransformations property.
    `java.lang.String` | `getModelName()` Gets the value of the modelName property.
    `ModelStats` | `getModelStats()` Gets the value of the modelStats property.
    `REGRESSIONNORMALIZATIONMETHOD` | `getNormalizationMethod()` Gets the value of the normalizationMethod property.
    `Output` | `getOutput()` Gets the value of the output property.
    `java.util.List<RegressionTable>` | `getRegressionTable()` Gets the value of the regressionTable property.
    `java.util.List<ResultField>` | `getResultField()` Gets the value of the resultField property.
    `Targets` | `getTargets()` Gets the value of the targets property.
    `void` | `setAlgorithmName(java.lang.String value)` Sets the value of the algorithmName property.
    `void` | `setFunctionName(MININGFUNCTION value)` Sets the value of the functionName property.
    `void` | `setLocalTransformations(LocalTransformations value)` Sets the value of the localTransformations property.
    `void` | `setModelName(java.lang.String value)` Sets the value of the modelName property.
    `void` | `setModelStats(ModelStats value)` Sets the value of the modelStats property.
    `void` | `setNormalizationMethod(REGRESSIONNORMALIZATIONMETHOD value)` Sets the value of the normalizationMethod property.
    `void` | `setOutput(Output value)` Sets the value of the output property.
    `void` | `setTargets(Targets value)` Sets the value of the targets property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Regression

          public Regression()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getOutput

          public Output getOutput()

      Gets the value of the output property.
      Returns:
        possible object is `Output`

    - #### setOutput

          public void setOutput(Output value)

      Sets the value of the output property.
      Parameters:
        `value` - allowed object is `Output`

    - #### getModelStats

          public ModelStats getModelStats()

      Gets the value of the modelStats property.
      Returns:
        possible object is `ModelStats`

    - #### setModelStats

          public void setModelStats(ModelStats value)

      Sets the value of the modelStats property.
      Parameters:
        `value` - allowed object is `ModelStats`

    - #### getTargets

          public Targets getTargets()

      Gets the value of the targets property.
      Returns:
        possible object is `Targets`

    - #### setTargets

          public void setTargets(Targets value)

      Sets the value of the targets property.
      Parameters:
        `value` - allowed object is `Targets`

    - #### getLocalTransformations

          public LocalTransformations getLocalTransformations()

      Gets the value of the localTransformations property.
      Returns:
        possible object is `LocalTransformations`

    - #### setLocalTransformations

          public void setLocalTransformations(LocalTransformations value)

      Sets the value of the localTransformations property.
      Parameters:
        `value` - allowed object is `LocalTransformations`

    - #### getResultField

          public java.util.List<ResultField> getResultField()

      Gets the value of the resultField property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resultField property.

      For example, to add a new item, do as follows:

              getResultField().add(newItem);

      Objects of the following type(s) are allowed in the list `ResultField`

    - #### getRegressionTable

          public java.util.List<RegressionTable> getRegressionTable()

      Gets the value of the regressionTable property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the regressionTable property.

      For example, to add a new item, do as follows:

              getRegressionTable().add(newItem);

      Objects of the following type(s) are allowed in the list `RegressionTable`

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName()

      Gets the value of the algorithmName property.
      Returns:
        possible object is `String`

    - #### setAlgorithmName

          public void setAlgorithmName(java.lang.String value)

      Sets the value of the algorithmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFunctionName

          public MININGFUNCTION getFunctionName()

      Gets the value of the functionName property.
      Returns:
        possible object is `MININGFUNCTION`

    - #### setFunctionName

          public void setFunctionName(MININGFUNCTION value)

      Sets the value of the functionName property.
      Parameters:
        `value` - allowed object is `MININGFUNCTION`

    - #### getModelName

          public java.lang.String getModelName()

      Gets the value of the modelName property.
      Returns:
        possible object is `String`

    - #### setModelName

          public void setModelName(java.lang.String value)

      Sets the value of the modelName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNormalizationMethod

          public REGRESSIONNORMALIZATIONMETHOD getNormalizationMethod()

      Gets the value of the normalizationMethod property.
      Returns:
        possible object is `REGRESSIONNORMALIZATIONMETHOD`

    - #### setNormalizationMethod

          public void setNormalizationMethod(REGRESSIONNORMALIZATIONMETHOD value)

      Sets the value of the normalizationMethod property.
      Parameters:
        `value` - allowed object is `REGRESSIONNORMALIZATIONMETHOD`